var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import { useCallback } from 'react';
import { FilePicker } from '../file-picker';
export const AssetsPicker = (_a) => {
    var { onChange = () => void 0, onOpenChange = () => void 0, extensions } = _a, props = __rest(_a, ["onChange", "onOpenChange", "extensions"]);
    const handleClick = useCallback(() => {
        onOpenChange(true);
        void window.electron.openAssetsDialog(extensions)
            .then((filePath) => {
            if (filePath !== undefined) {
                onChange(filePath);
            }
            onOpenChange(false);
        });
    }, [onChange, onOpenChange, extensions]);
    return (_jsx(FilePicker, Object.assign({}, props, { onChange: onChange, onOpen: handleClick })));
};
